/* Header */

/* Navbar */
.navbar {
    height: 100%;
    z-index: 99;
}
.navbar-content {
    background-color: var(--secondary-color);
}
.navbar-nav {
    flex-grow: 1;
    justify-content: end;
    gap: 2%;
    padding-right: 5%;
}

/* Contact Info */
.contact-info {
    display: flex;
    flex-direction: column;
    gap: 5px; /* Spacing between email and phone number */
}

.contact-info a {
    color: #fff;
    text-decoration: none;
}

/* Address Styling (Right aligned) */
.ml-auto {
    margin-left: auto;
}

.ml-auto .fas {
    margin-right: 5px; /* Small gap between icon and text */
}

.header {
    background-color: var(--secondary-color);
    width: 100%;
    height: 75px;
}

/*- Top-Header */
.top-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
    gap: 0.5rem;
    font-family: "Poppins", sans-serif;
    background-color: var(--secondary-color-overlay);
    color: white;
    padding: 0.75rem 2.85rem;
    padding-right: 4%;
    min-height: 40px;
    max-height: max-content;
    font-size: 1rem;
}
/* Top-Header -*/

/* Navbar */
.navbar {
    height: 100%;
    z-index: 99;
}
.navbar-content {
    background-color: var(--secondary-color);
}
.navbar-nav {
    flex-grow: 1;
    justify-content: end;
    gap: 2%;
    padding-right: 5%;
}
.navbar .navbar-lang:focus {
    transition: scale 125ms ease-in-out;
    scale: 1.15;
}
/* Navbar-Nav Nav-Links  */
.nav-item > .nav-link {
    font-family: "Poppins", sans-serif;
    color: white;
    font-weight: 600;
    padding: clamp(5%, 10px, 20px) 10px;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 0%;
}
.nav-item > .nav-link:not([data-bs-toggle="dropdown"]):not(.active),
.nav-item
    > .nav-link
    .dropdown-item:not([data-bs-toggle="dropdown"]):not(.active) {
    cursor: pointer !important;
}
.nav-item > .nav-link.active,
.nav-item > .nav-link.active .dropdown-item.active {
    cursor: default;
}
/* Navbar-Nav Dropdown Toggles  */
.nav-item.dropdown > .dropdown-toggle {
    cursor: default;
}
/* Navbar-Nav Dropdown Menu Items  */
.nav-item > .dropdown-menu .dropdown-item:not(.dropdown-toggle),
.nav-item > .dropdown-menu > .dropdown-submenu .dropdown-item {
    padding: 10px 15px;
}
.nav-item:not(.dropdown) > .nav-link:hover,
.nav-item:not(.dropdown) > .nav-link:active,
.nav-item:not(.dropdown) > .nav-link:focus,
.navbar-nav .nav-item > .nav-link.active {
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    color: var(--primary-color);
    background-color: var(--primary-color-glass-opacity);
    backdrop-filter: blur(10px);
}
.navbar-nav
    > .dropdown
    > .dropdown-menu
    > li:not(.dropdown-submenu)
    > .dropdown-item:hover,
.navbar-nav
    > .dropdown
    > .dropdown-menu
    > li:not(.dropdown-submenu)
    > .dropdown-item:focus,
.navbar-nav
    > .dropdown
    > .dropdown-menu
    > li:not(.dropdown-submenu)
    > .dropdown-item:active {
    background-color: var(--primary-color-glass-opacity);
    color: var(--primary-color);
}
/* Navbar-Nav Dropdown Sub-Menu Toggles  */
.navbar-nav
    > .dropdown
    > .dropdown-menu
    > li:not(.dropdown-submenu)
    > .dropdown-item.active {
    font-weight: 700;
    background-color: var(--primary-color-half-opacity);
    filter: brightness(105%) contrast(95%);
    text-shadow: 0 0 5px whitesmoke;
    color: var(--primary-color);
}
.navbar-nav
    > .dropdown
    > .dropdown-menu
    > li.dropdown-submenu
    .dropdown-item.dropdown-toggle:hover {
    background-color: transparent;
    color: black;
    cursor: default;
}
/* Navbar-Nav Dropdown Sub-Menu Items  */
.navbar-nav
    > .dropdown
    > .dropdown-menu
    > li.dropdown-submenu
    .dropdown-item:not(.dropdown-toggle):hover,
.navbar-nav
    > .dropdown
    > .dropdown-menu
    > li.dropdown-submenu
    .dropdown-item:not(.dropdown-toggle):active,
.navbar-nav
    > .dropdown
    > .dropdown-menu
    > li.dropdown-submenu
    .dropdown-item:not(.dropdown-toggle):focus {
    background-color: var(--primary-color-glass-opacity);
    color: var(--primary-color);
}
/* ALL */
.nav-item.dropdown > .dropdown-menu .dropdown-item {
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    font-weight: 600;
}
